Skip to main content
POST
https://{tenantDomain}/api/v2
/
roles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Roles.CreateAsync(
            new CreateRoleRequestContent {
                Name = "name"
            }
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required

Name of the role.

description
string

Description of the role.

Response

Role successfully created.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.